All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Minimum
Statistical Functions

## Functions

NppStatus | nppsMinGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMin_16s. More...
NppStatus | nppsMinGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMin_32s. More...
NppStatus | nppsMinGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMin_32f. More...
NppStatus | nppsMinGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMinGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMin_64f. More...
NppStatus | nppsMinGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMin_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMin, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector min method More...
NppStatus | nppsMin_16s (const Npp16s *pSrc, int nLength, Npp16s *pMin, Npp8u *pDeviceBuffer)
NppStatus | nppsMin_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMin, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector min method More...
NppStatus | nppsMin_32s (const Npp32s *pSrc, int nLength, Npp32s *pMin, Npp8u *pDeviceBuffer)
NppStatus | nppsMin_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMin, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector min method More...
NppStatus | nppsMin_32f (const Npp32f *pSrc, int nLength, Npp32f *pMin, Npp8u *pDeviceBuffer)
NppStatus | nppsMin_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMin, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit integer vector min method More...
NppStatus | nppsMin_64f (const Npp64f *pSrc, int nLength, Npp64f *pMin, Npp8u *pDeviceBuffer)
NppStatus | nppsMinIndxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinIndx_16s. More...
NppStatus | nppsMinIndxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinIndxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinIndx_32s. More...
NppStatus | nppsMinIndxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinIndxGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinIndx_32f. More...
NppStatus | nppsMinIndxGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMinIndxGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinIndx_64f. More...
NppStatus | nppsMinIndxGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMinIndx_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMin, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector min index method More...
NppStatus | nppsMinIndx_16s (const Npp16s *pSrc, int nLength, Npp16s *pMin, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinIndx_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMin, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector min index method More...
NppStatus | nppsMinIndx_32s (const Npp32s *pSrc, int nLength, Npp32s *pMin, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinIndx_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMin, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector min index method More...
NppStatus | nppsMinIndx_32f (const Npp32f *pSrc, int nLength, Npp32f *pMin, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinIndx_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMin, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector min index method More...
NppStatus | nppsMinIndx_64f (const Npp64f *pSrc, int nLength, Npp64f *pMin, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinAbsGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinAbs_16s. More...
NppStatus | nppsMinAbsGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinAbsGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinAbs_32s. More...
NppStatus | nppsMinAbsGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinAbs_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMinAbs, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector min absolute method More...
NppStatus | nppsMinAbs_16s (const Npp16s *pSrc, int nLength, Npp16s *pMinAbs, Npp8u *pDeviceBuffer)
NppStatus | nppsMinAbs_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMinAbs, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector min absolute method More...
NppStatus | nppsMinAbs_32s (const Npp32s *pSrc, int nLength, Npp32s *pMinAbs, Npp8u *pDeviceBuffer)
NppStatus | nppsMinAbsIndxGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinAbsIndx_16s. More...
NppStatus | nppsMinAbsIndxGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMinAbsIndxGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMinAbsIndx_32s. More...
NppStatus | nppsMinAbsIndxGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMinAbsIndx_16s_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMinAbs, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit integer vector min absolute index method More...
NppStatus | nppsMinAbsIndx_16s (const Npp16s *pSrc, int nLength, Npp16s *pMinAbs, int *pIndx, Npp8u *pDeviceBuffer)
NppStatus | nppsMinAbsIndx_32s_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMinAbs, int *pIndx, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector min absolute index method More...
NppStatus | nppsMinAbsIndx_32s (const Npp32s *pSrc, int nLength, Npp32s *pMinAbs, int *pIndx, Npp8u *pDeviceBuffer)

## Detailed Description

## Function Documentation

NppStatus nppsMin_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMin_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector min method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMin_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMin_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector min method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMin_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMin_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector min method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMin_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMin_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit integer vector min method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinAbs_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMinAbs,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinAbs_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMinAbs,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector min absolute method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMinAbs | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinAbsGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinAbs_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMinAbs,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinAbs_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMinAbs,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector min absolute method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMinAbs | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinAbsGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinAbsGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinAbsGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinAbs_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinAbsGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinAbsGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinAbs_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinAbsIndx_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMinAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinAbsIndx_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMinAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector min absolute index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMinAbs | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinAbsIndxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinAbsIndx_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMinAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinAbsIndx_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMinAbs,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector min absolute index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMinAbs | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinAbsIndxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinAbsIndxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinAbsIndxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinAbsIndx_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinAbsIndxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinAbsIndxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinAbsIndx_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMin_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMin_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMin_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMin_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinIndx_16s | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinIndx_16s_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer vector min index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinIndxGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinIndx_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinIndx_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector min index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinIndxGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinIndx_32s | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinIndx_32s_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector min index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinIndxGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinIndx_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMinIndx_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMin,
|  | int * | pIndx,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector min index method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMin | Pointer to the output result.
  pIndx | Pointer to the index value of the first minimum element.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMinIndxGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinIndxGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinIndxGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinIndx_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinIndxGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinIndxGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinIndx_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinIndxGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinIndxGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinIndx_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMinIndxGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMinIndxGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMinIndx_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2019 NVIDIA Corporation